# VectorNav C++ Library: Register Read/Write Generator Methods

Register Read/Write Generator Methods

This group of methods will create commands that can be used to read/write the register of a VectorNav sensor. More...

## Functions

static size_t | vn::protocol::uart::Packet::genReadBinaryOutput1 (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Binary Output 1 register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadBinaryOutput2 (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Binary Output 2 register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadBinaryOutput3 (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Binary Output 13 register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteBinaryOutput1 (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint16_t asyncMode, uint16_t rateDivisor, uint16_t commonField, uint16_t timeField, uint16_t imuField, uint16_t gpsField, uint16_t attitudeField, uint16_t insField)
| Generates a command to write to the Binary Output 1 register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteBinaryOutput2 (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint16_t asyncMode, uint16_t rateDivisor, uint16_t commonField, uint16_t timeField, uint16_t imuField, uint16_t gpsField, uint16_t attitudeField, uint16_t insField)
| Generates a command to write to the Binary Output 2 register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteBinaryOutput3 (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint16_t asyncMode, uint16_t rateDivisor, uint16_t commonField, uint16_t timeField, uint16_t imuField, uint16_t gpsField, uint16_t attitudeField, uint16_t insField)
| Generates a command to write to the Binary Output 3 register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteSettings (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to write sensor settings to non-volatile memory. More...
static size_t | vn::protocol::uart::Packet::genTare (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to tare the sensor. More...
static size_t | vn::protocol::uart::Packet::genKnownMagneticDisturbance (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, bool isMagneticDisturbancePresent)
| Generates a command to alert the sensor of a known magnetic disturbance. More...
static size_t | vn::protocol::uart::Packet::genKnownAccelerationDisturbance (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, bool isAccelerationDisturbancePresent)
| Generates a command to alert the sensor of a known acceleration disturbance. More...
static size_t | vn::protocol::uart::Packet::genSetGyroBias (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to set the gyro bias. More...
static size_t | vn::protocol::uart::Packet::genRestoreFactorySettings (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to retore factory settings. More...
static size_t | vn::protocol::uart::Packet::genReset (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to reset the sensor. More...
static size_t | vn::protocol::uart::Packet::genReadSerialBaudRate (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t port)
| Generates a command to read the Serial Baud Rate register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteSerialBaudRate (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint32_t baudrate, uint8_t port)
| Generates a command to write to the Serial Baud Rate register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadAsyncDataOutputType (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t port)
| Generates a command to read the Async Data Output Type register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteAsyncDataOutputType (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint32_t ador, uint8_t port)
| Generates a command to write to the Async Data Output Type register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadAsyncDataOutputFrequency (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t port)
| Generates a command to read the Async Data Output Frequency register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteAsyncDataOutputFrequency (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint32_t adof, uint8_t port)
| Generates a command to write to the Async Data Output Frequency register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadUserTag (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the User Tag register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteUserTag (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, std::string tag)
| Generates a command to write to the User Tag register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadModelNumber (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Model Number register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadHardwareRevision (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Hardware Revision register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadSerialNumber (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Serial Number register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadFirmwareVersion (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Firmware Version register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadSerialBaudRate (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Serial Baud Rate register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteSerialBaudRate (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint32_t baudrate)
| Generates a command to write to the Serial Baud Rate register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadAsyncDataOutputType (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Async Data Output Type register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteAsyncDataOutputType (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint32_t ador)
| Generates a command to write to the Async Data Output Type register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadAsyncDataOutputFrequency (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Async Data Output Frequency register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteAsyncDataOutputFrequency (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint32_t adof)
| Generates a command to write to the Async Data Output Frequency register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadYawPitchRoll (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Yaw Pitch Roll register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadAttitudeQuaternion (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Attitude Quaternion register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadQuaternionMagneticAccelerationAndAngularRates (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Quaternion, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadMagneticMeasurements (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Magnetic Measurements register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadAccelerationMeasurements (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Acceleration Measurements register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadAngularRateMeasurements (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Angular Rate Measurements register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadMagneticAccelerationAndAngularRates (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Magnetic, Acceleration and Angular Rates register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadMagneticAndGravityReferenceVectors (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Magnetic and Gravity Reference Vectors register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteMagneticAndGravityReferenceVectors (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::vec3f magRef, vn::math::vec3f accRef)
| Generates a command to write to the Magnetic and Gravity Reference Vectors register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadFilterMeasurementsVarianceParameters (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Filter Measurements Variance Parameters register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteFilterMeasurementsVarianceParameters (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, float angularWalkVariance, vn::math::vec3f angularRateVariance, vn::math::vec3f magneticVariance, vn::math::vec3f accelerationVariance)
| Generates a command to write to the Filter Measurements Variance Parameters register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadMagnetometerCompensation (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Magnetometer Compensation register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteMagnetometerCompensation (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::mat3f c, vn::math::vec3f b)
| Generates a command to write to the Magnetometer Compensation register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadFilterActiveTuningParameters (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Filter Active Tuning Parameters register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteFilterActiveTuningParameters (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, float magneticDisturbanceGain, float accelerationDisturbanceGain, float magneticDisturbanceMemory, float accelerationDisturbanceMemory)
| Generates a command to write to the Filter Active Tuning Parameters register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadAccelerationCompensation (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Acceleration Compensation register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteAccelerationCompensation (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::mat3f c, vn::math::vec3f b)
| Generates a command to write to the Acceleration Compensation register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadReferenceFrameRotation (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Reference Frame Rotation register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteReferenceFrameRotation (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::mat3f c)
| Generates a command to write to the Reference Frame Rotation register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadYawPitchRollMagneticAccelerationAndAngularRates (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadCommunicationProtocolControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Communication Protocol Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteCommunicationProtocolControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t serialCount, uint8_t serialStatus, uint8_t spiCount, uint8_t spiStatus, uint8_t serialChecksum, uint8_t spiChecksum, uint8_t errorMode)
| Generates a command to write to the Communication Protocol Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadSynchronizationControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Synchronization Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteSynchronizationControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t syncInMode, uint8_t syncInEdge, uint16_t syncInSkipFactor, uint8_t syncOutMode, uint8_t syncOutPolarity, uint16_t syncOutSkipFactor, uint32_t syncOutPulseWidth)
| Generates a command to write to the Synchronization Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadSynchronizationStatus (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Synchronization Status register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteSynchronizationStatus (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint32_t syncInCount, uint32_t syncInTime, uint32_t syncOutCount)
| Generates a command to write to the Synchronization Status register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadFilterBasicControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Filter Basic Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteFilterBasicControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t magMode, uint8_t extMagMode, uint8_t extAccMode, uint8_t extGyroMode, vn::math::vec3f gyroLimit)
| Generates a command to write to the Filter Basic Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadVpeBasicControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the VPE Basic Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteVpeBasicControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t enable, uint8_t headingMode, uint8_t filteringMode, uint8_t tuningMode)
| Generates a command to write to the VPE Basic Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadVpeMagnetometerBasicTuning (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the VPE Magnetometer Basic Tuning register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteVpeMagnetometerBasicTuning (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::vec3f baseTuning, vn::math::vec3f adaptiveTuning, vn::math::vec3f adaptiveFiltering)
| Generates a command to write to the VPE Magnetometer Basic Tuning register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadVpeMagnetometerAdvancedTuning (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the VPE Magnetometer Advanced Tuning register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteVpeMagnetometerAdvancedTuning (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::vec3f minFiltering, vn::math::vec3f maxFiltering, float maxAdaptRate, float disturbanceWindow, float maxTuning)
| Generates a command to write to the VPE Magnetometer Advanced Tuning register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadVpeAccelerometerBasicTuning (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the VPE Accelerometer Basic Tuning register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteVpeAccelerometerBasicTuning (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::vec3f baseTuning, vn::math::vec3f adaptiveTuning, vn::math::vec3f adaptiveFiltering)
| Generates a command to write to the VPE Accelerometer Basic Tuning register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadVpeAccelerometerAdvancedTuning (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the VPE Accelerometer Advanced Tuning register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteVpeAccelerometerAdvancedTuning (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::vec3f minFiltering, vn::math::vec3f maxFiltering, float maxAdaptRate, float disturbanceWindow, float maxTuning)
| Generates a command to write to the VPE Accelerometer Advanced Tuning register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadVpeGyroBasicTuning (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the VPE Gyro Basic Tuning register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteVpeGyroBasicTuning (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::vec3f angularWalkVariance, vn::math::vec3f baseTuning, vn::math::vec3f adaptiveTuning)
| Generates a command to write to the VPE Gyro Basic Tuning register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadFilterStartupGyroBias (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Filter Startup Gyro Bias register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteFilterStartupGyroBias (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::vec3f bias)
| Generates a command to write to the Filter Startup Gyro Bias register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadMagnetometerCalibrationControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Magnetometer Calibration Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteMagnetometerCalibrationControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t hsiMode, uint8_t hsiOutput, uint8_t convergeRate)
| Generates a command to write to the Magnetometer Calibration Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadCalculatedMagnetometerCalibration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Calculated Magnetometer Calibration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadIndoorHeadingModeControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Indoor Heading Mode Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteIndoorHeadingModeControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, float maxRateError)
| Generates a command to write to the Indoor Heading Mode Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadVelocityCompensationMeasurement (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Velocity Compensation Measurement register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteVelocityCompensationMeasurement (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::vec3f velocity)
| Generates a command to write to the Velocity Compensation Measurement register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadVelocityCompensationControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Velocity Compensation Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteVelocityCompensationControl (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t mode, float velocityTuning, float rateTuning)
| Generates a command to write to the Velocity Compensation Control register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadVelocityCompensationStatus (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Velocity Compensation Status register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadImuMeasurements (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the IMU Measurements register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadGpsConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the GPS Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteGpsConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t mode, uint8_t ppsSource)
| Generates a command to write to the GPS Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadGpsAntennaOffset (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the GPS Antenna Offset register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteGpsAntennaOffset (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::vec3f position)
| Generates a command to write to the GPS Antenna Offset register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadGpsSolutionLla (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the GPS Solution - LLA register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadGpsSolutionEcef (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the GPS Solution - ECEF register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadInsSolutionLla (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the INS Solution - LLA register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadInsSolutionEcef (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the INS Solution - ECEF register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadInsBasicConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the INS Basic Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteInsBasicConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t scenario, uint8_t ahrsAiding, uint8_t estBaseline)
| Generates a command to write to the INS Basic Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadInsAdvancedConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the INS Advanced Configuration register on a VectorNav sensor. More...

static size_t

vn::protocol::uart::Packet::genWriteInsAdvancedConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t useMag, uint8_t usePres, uint8_t posAtt, uint8_t velAtt, uint8_t velBias, uint8_t useFoam, uint8_t gpsCovType, uint8_t velCount, float velInit, float moveOrigin, float gpsTimeout, float deltaLimitPos, float deltaLimitVel, float minPosUncertainty, float minVelUncertainty)

| Generates a command to write to the INS Advanced Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadInsStateLla (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the INS State - LLA register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadInsStateEcef (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the INS State - ECEF register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadStartupFilterBiasEstimate (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Startup Filter Bias Estimate register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteStartupFilterBiasEstimate (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::vec3f gyroBias, vn::math::vec3f accelBias, float pressureBias)
| Generates a command to write to the Startup Filter Bias Estimate register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadDeltaThetaAndDeltaVelocity (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Delta Theta and Delta Velocity register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadDeltaThetaAndDeltaVelocityConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Delta Theta and Delta Velocity Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteDeltaThetaAndDeltaVelocityConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t integrationFrame, uint8_t gyroCompensation, uint8_t accelCompensation)
| Generates a command to write to the Delta Theta and Delta Velocity Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadReferenceVectorConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Reference Vector Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteReferenceVectorConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint8_t useMagModel, uint8_t useGravityModel, uint32_t recalcThreshold, float year, vn::math::vec3d position)
| Generates a command to write to the Reference Vector Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadGyroCompensation (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Gyro Compensation register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteGyroCompensation (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::mat3f c, vn::math::vec3f b)
| Generates a command to write to the Gyro Compensation register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadImuFilteringConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the IMU Filtering Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteImuFilteringConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint16_t magWindowSize, uint16_t accelWindowSize, uint16_t gyroWindowSize, uint16_t tempWindowSize, uint16_t presWindowSize, uint8_t magFilterMode, uint8_t accelFilterMode, uint8_t gyroFilterMode, uint8_t tempFilterMode, uint8_t presFilterMode)
| Generates a command to write to the IMU Filtering Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadGpsCompassBaseline (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the GPS Compass Baseline register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteGpsCompassBaseline (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, vn::math::vec3f position, vn::math::vec3f uncertainty)
| Generates a command to write to the GPS Compass Baseline register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadGpsCompassEstimatedBaseline (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the GPS Compass Estimated Baseline register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadImuRateConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the IMU Rate Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genWriteImuRateConfiguration (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size, uint16_t imuRate, uint16_t navDivisor, float filterTargetRate, float filterMinRate)
| Generates a command to write to the IMU Rate Configuration register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadYawPitchRollTrueBodyAccelerationAndAngularRates (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register on a VectorNav sensor. More...
static size_t | vn::protocol::uart::Packet::genReadYawPitchRollTrueInertialAccelerationAndAngularRates (ErrorDetectionMode errorDetectionMode, char *buffer, size_t size)
| Generates a command to read the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register on a VectorNav sensor. More...

## Detailed Description

This group of methods will create commands that can be used to read/write the register of a VectorNav sensor.

## Function Documentation

static size_t vn::protocol::uart::Packet::genKnownAccelerationDisturbance | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | bool | isAccelerationDisturbancePresent
| ) |  |

static

Generates a command to alert the sensor of a known acceleration disturbance.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | indicates | if a known acceleration disturbance is present or not.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genKnownMagneticDisturbance | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | bool | isMagneticDisturbancePresent
| ) |  |

static

Generates a command to alert the sensor of a known magnetic disturbance.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | indicates | if a known magnetic disturbance is present or not.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadAccelerationCompensation | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Acceleration Compensation register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadAccelerationMeasurements | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Acceleration Measurements register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadAngularRateMeasurements | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Angular Rate Measurements register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadAsyncDataOutputFrequency | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | port
| ) |  |

static

Generates a command to read the Async Data Output Frequency register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | port | The port to read from.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadAsyncDataOutputFrequency | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Async Data Output Frequency register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadAsyncDataOutputType | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | port
| ) |  |

static

Generates a command to read the Async Data Output Type register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | port | The port to read from.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadAsyncDataOutputType | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Async Data Output Type register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadAttitudeQuaternion | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Attitude Quaternion register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadBinaryOutput1 | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Binary Output 1 register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadBinaryOutput2 | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Binary Output 2 register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadBinaryOutput3 | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Binary Output 13 register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadCalculatedMagnetometerCalibration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Calculated Magnetometer Calibration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadCommunicationProtocolControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Communication Protocol Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadDeltaThetaAndDeltaVelocity | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Delta Theta and Delta Velocity register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadDeltaThetaAndDeltaVelocityConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Delta Theta and Delta Velocity Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadFilterActiveTuningParameters | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Filter Active Tuning Parameters register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadFilterBasicControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Filter Basic Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadFilterMeasurementsVarianceParameters | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Filter Measurements Variance Parameters register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadFilterStartupGyroBias | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Filter Startup Gyro Bias register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadFirmwareVersion | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Firmware Version register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadGpsAntennaOffset | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the GPS Antenna Offset register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadGpsCompassBaseline | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the GPS Compass Baseline register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadGpsCompassEstimatedBaseline | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the GPS Compass Estimated Baseline register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadGpsConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the GPS Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadGpsSolutionEcef | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the GPS Solution - ECEF register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadGpsSolutionLla | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the GPS Solution - LLA register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadGyroCompensation | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Gyro Compensation register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadHardwareRevision | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Hardware Revision register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadImuFilteringConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the IMU Filtering Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadImuMeasurements | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the IMU Measurements register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadImuRateConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the IMU Rate Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadIndoorHeadingModeControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Indoor Heading Mode Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadInsAdvancedConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the INS Advanced Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadInsBasicConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the INS Basic Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadInsSolutionEcef | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the INS Solution - ECEF register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadInsSolutionLla | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the INS Solution - LLA register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadInsStateEcef | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the INS State - ECEF register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadInsStateLla | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the INS State - LLA register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadMagneticAccelerationAndAngularRates | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Magnetic, Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadMagneticAndGravityReferenceVectors | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Magnetic and Gravity Reference Vectors register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadMagneticMeasurements | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Magnetic Measurements register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadMagnetometerCalibrationControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Magnetometer Calibration Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadMagnetometerCompensation | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Magnetometer Compensation register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadModelNumber | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Model Number register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadQuaternionMagneticAccelerationAndAngularRates | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Quaternion, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadReferenceFrameRotation | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Reference Frame Rotation register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadReferenceVectorConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Reference Vector Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadSerialBaudRate | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | port
| ) |  |

static

Generates a command to read the Serial Baud Rate register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | port | The port to read from.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadSerialBaudRate | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Serial Baud Rate register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadSerialNumber | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Serial Number register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadStartupFilterBiasEstimate | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Startup Filter Bias Estimate register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadSynchronizationControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Synchronization Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadSynchronizationStatus | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Synchronization Status register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadUserTag | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the User Tag register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadVelocityCompensationControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Velocity Compensation Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadVelocityCompensationMeasurement | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Velocity Compensation Measurement register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadVelocityCompensationStatus | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Velocity Compensation Status register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadVpeAccelerometerAdvancedTuning | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the VPE Accelerometer Advanced Tuning register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadVpeAccelerometerBasicTuning | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the VPE Accelerometer Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadVpeBasicControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the VPE Basic Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadVpeGyroBasicTuning | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the VPE Gyro Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadVpeMagnetometerAdvancedTuning | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the VPE Magnetometer Advanced Tuning register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadVpeMagnetometerBasicTuning | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the VPE Magnetometer Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadYawPitchRoll | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Yaw Pitch Roll register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadYawPitchRollMagneticAccelerationAndAngularRates | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadYawPitchRollTrueBodyAccelerationAndAngularRates | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReadYawPitchRollTrueInertialAccelerationAndAngularRates | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to read the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genReset | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to reset the sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genRestoreFactorySettings | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to retore factory settings.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genSetGyroBias | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to set the gyro bias.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genTare | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to tare the sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteAccelerationCompensation | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::mat3f | c,
|  | vn::math::vec3f | b
| ) |  |

static

Generates a command to write to the Acceleration Compensation register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | c | The register's C field.
  [in] | b | The register's B field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteAsyncDataOutputFrequency | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint32_t | adof,
|  | uint8_t | port
| ) |  |

static

Generates a command to write to the Async Data Output Frequency register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | adof | The register's ADOF field.
  [in] | port | The port to write to.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteAsyncDataOutputFrequency | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint32_t | adof
| ) |  |

static

Generates a command to write to the Async Data Output Frequency register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | adof | The register's ADOF field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteAsyncDataOutputType | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint32_t | ador,
|  | uint8_t | port
| ) |  |

static

Generates a command to write to the Async Data Output Type register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | ador | The register's ADOR field.
  [in] | port | The port to write to.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteAsyncDataOutputType | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint32_t | ador
| ) |  |

static

Generates a command to write to the Async Data Output Type register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | ador | The register's ADOR field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteBinaryOutput1 | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint16_t | asyncMode,
|  | uint16_t | rateDivisor,
|  | uint16_t | commonField,
|  | uint16_t | timeField,
|  | uint16_t | imuField,
|  | uint16_t | gpsField,
|  | uint16_t | attitudeField,
|  | uint16_t | insField
| ) |  |

static

Generates a command to write to the Binary Output 1 register on a VectorNav sensor.

The field outputGroup available on the sensor's register is not necessary as this method will compute the necessary value from the provided data fields.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | asyncMode | The register's asyncMode field.
  [in] | rateDivisor | The register's rateDivisor field.
  [in] | commonField | The register's Group 1 (Common) field.
  [in] | timeField | The register's Group 2 (Time) field.
  [in] | imuField | The register's Group 3 (IMU) field.
  [in] | gpsField | The register's Group 4 (GPS) field.
  [in] | attitudeField | The register's Group 5 (Attitude) field.
  [in] | insField | The register's Group 6 (INS) field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteBinaryOutput2 | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint16_t | asyncMode,
|  | uint16_t | rateDivisor,
|  | uint16_t | commonField,
|  | uint16_t | timeField,
|  | uint16_t | imuField,
|  | uint16_t | gpsField,
|  | uint16_t | attitudeField,
|  | uint16_t | insField
| ) |  |

static

Generates a command to write to the Binary Output 2 register on a VectorNav sensor.

The field outputGroup available on the sensor's register is not necessary as this method will compute the necessary value from the provided data fields.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | asyncMode | The register's asyncMode field.
  [in] | rateDivisor | The register's rateDivisor field.
  [in] | commonField | The register's Group 1 (Common) field.
  [in] | timeField | The register's Group 2 (Time) field.
  [in] | imuField | The register's Group 3 (IMU) field.
  [in] | gpsField | The register's Group 4 (GPS) field.
  [in] | attitudeField | The register's Group 5 (Attitude) field.
  [in] | insField | The register's Group 6 (INS) field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteBinaryOutput3 | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint16_t | asyncMode,
|  | uint16_t | rateDivisor,
|  | uint16_t | commonField,
|  | uint16_t | timeField,
|  | uint16_t | imuField,
|  | uint16_t | gpsField,
|  | uint16_t | attitudeField,
|  | uint16_t | insField
| ) |  |

static

Generates a command to write to the Binary Output 3 register on a VectorNav sensor.

The field outputGroup available on the sensor's register is not necessary as this method will compute the necessary value from the provided data fields.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | asyncMode | The register's asyncMode field.
  [in] | rateDivisor | The register's rateDivisor field.
  [in] | commonField | The register's Group 1 (Common) field.
  [in] | timeField | The register's Group 2 (Time) field.
  [in] | imuField | The register's Group 3 (IMU) field.
  [in] | gpsField | The register's Group 4 (GPS) field.
  [in] | attitudeField | The register's Group 5 (Attitude) field.
  [in] | insField | The register's Group 6 (INS) field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteCommunicationProtocolControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | serialCount,
|  | uint8_t | serialStatus,
|  | uint8_t | spiCount,
|  | uint8_t | spiStatus,
|  | uint8_t | serialChecksum,
|  | uint8_t | spiChecksum,
|  | uint8_t | errorMode
| ) |  |

static

Generates a command to write to the Communication Protocol Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | serialCount | The register's SerialCount field.
  [in] | serialStatus | The register's SerialStatus field.
  [in] | spiCount | The register's SPICount field.
  [in] | spiStatus | The register's SPIStatus field.
  [in] | serialChecksum | The register's SerialChecksum field.
  [in] | spiChecksum | The register's SPIChecksum field.
  [in] | errorMode | The register's ErrorMode field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteDeltaThetaAndDeltaVelocityConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | integrationFrame,
|  | uint8_t | gyroCompensation,
|  | uint8_t | accelCompensation
| ) |  |

static

Generates a command to write to the Delta Theta and Delta Velocity Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | integrationFrame | The register's IntegrationFrame field.
  [in] | gyroCompensation | The register's GyroCompensation field.
  [in] | accelCompensation | The register's AccelCompensation field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteFilterActiveTuningParameters | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | float | magneticDisturbanceGain,
|  | float | accelerationDisturbanceGain,
|  | float | magneticDisturbanceMemory,
|  | float | accelerationDisturbanceMemory
| ) |  |

static

Generates a command to write to the Filter Active Tuning Parameters register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | magneticDisturbanceGain | The register's Magnetic Disturbance Gain field.
  [in] | accelerationDisturbanceGain | The register's Acceleration Disturbance Gain field.
  [in] | magneticDisturbanceMemory | The register's Magnetic Disturbance Memory field.
  [in] | accelerationDisturbanceMemory | The register's Acceleration Disturbance Memory field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteFilterBasicControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | magMode,
|  | uint8_t | extMagMode,
|  | uint8_t | extAccMode,
|  | uint8_t | extGyroMode,
|  | vn::math::vec3f | gyroLimit
| ) |  |

static

Generates a command to write to the Filter Basic Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | magMode | The register's MagMode field.
  [in] | extMagMode | The register's ExtMagMode field.
  [in] | extAccMode | The register's ExtAccMode field.
  [in] | extGyroMode | The register's ExtGyroMode field.
  [in] | gyroLimit | The register's GyroLimit field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteFilterMeasurementsVarianceParameters | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | float | angularWalkVariance,
|  | vn::math::vec3f | angularRateVariance,
|  | vn::math::vec3f | magneticVariance,
|  | vn::math::vec3f | accelerationVariance
| ) |  |

static

Generates a command to write to the Filter Measurements Variance Parameters register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | angularWalkVariance | The register's Angular Walk Variance field.
  [in] | angularRateVariance | The register's Angular Rate Variance field.
  [in] | magneticVariance | The register's Magnetic Variance field.
  [in] | accelerationVariance | The register's Acceleration Variance field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteFilterStartupGyroBias | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::vec3f | bias
| ) |  |

static

Generates a command to write to the Filter Startup Gyro Bias register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | bias | The register's Bias field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteGpsAntennaOffset | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::vec3f | position
| ) |  |

static

Generates a command to write to the GPS Antenna Offset register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | position | The register's Position field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteGpsCompassBaseline | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::vec3f | position,
|  | vn::math::vec3f | uncertainty
| ) |  |

static

Generates a command to write to the GPS Compass Baseline register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | position | The register's Position field.
  [in] | uncertainty | The register's Uncertainty field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteGpsConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | mode,
|  | uint8_t | ppsSource
| ) |  |

static

Generates a command to write to the GPS Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | mode | The register's Mode field.
  [in] | ppsSource | The register's PpsSource field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteGyroCompensation | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::mat3f | c,
|  | vn::math::vec3f | b
| ) |  |

static

Generates a command to write to the Gyro Compensation register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | c | The register's C field.
  [in] | b | The register's B field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteImuFilteringConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint16_t | magWindowSize,
|  | uint16_t | accelWindowSize,
|  | uint16_t | gyroWindowSize,
|  | uint16_t | tempWindowSize,
|  | uint16_t | presWindowSize,
|  | uint8_t | magFilterMode,
|  | uint8_t | accelFilterMode,
|  | uint8_t | gyroFilterMode,
|  | uint8_t | tempFilterMode,
|  | uint8_t | presFilterMode
| ) |  |

static

Generates a command to write to the IMU Filtering Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | magWindowSize | The register's MagWindowSize field.
  [in] | accelWindowSize | The register's AccelWindowSize field.
  [in] | gyroWindowSize | The register's GyroWindowSize field.
  [in] | tempWindowSize | The register's TempWindowSize field.
  [in] | presWindowSize | The register's PresWindowSize field.
  [in] | magFilterMode | The register's MagFilterMode field.
  [in] | accelFilterMode | The register's AccelFilterMode field.
  [in] | gyroFilterMode | The register's GyroFilterMode field.
  [in] | tempFilterMode | The register's TempFilterMode field.
  [in] | presFilterMode | The register's PresFilterMode field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteImuRateConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint16_t | imuRate,
|  | uint16_t | navDivisor,
|  | float | filterTargetRate,
|  | float | filterMinRate
| ) |  |

static

Generates a command to write to the IMU Rate Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | imuRate | The register's imuRate field.
  [in] | navDivisor | The register's NavDivisor field.
  [in] | filterTargetRate | The register's filterTargetRate field.
  [in] | filterMinRate | The register's filterMinRate field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteIndoorHeadingModeControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | float | maxRateError
| ) |  |

static

Generates a command to write to the Indoor Heading Mode Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | maxRateError | The register's Max Rate Error field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteInsAdvancedConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | useMag,
|  | uint8_t | usePres,
|  | uint8_t | posAtt,
|  | uint8_t | velAtt,
|  | uint8_t | velBias,
|  | uint8_t | useFoam,
|  | uint8_t | gpsCovType,
|  | uint8_t | velCount,
|  | float | velInit,
|  | float | moveOrigin,
|  | float | gpsTimeout,
|  | float | deltaLimitPos,
|  | float | deltaLimitVel,
|  | float | minPosUncertainty,
|  | float | minVelUncertainty
| ) |  |

static

Generates a command to write to the INS Advanced Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | useMag | The register's UseMag field.
  [in] | usePres | The register's UsePres field.
  [in] | posAtt | The register's PosAtt field.
  [in] | velAtt | The register's VelAtt field.
  [in] | velBias | The register's VelBias field.
  [in] | useFoam | The register's UseFoam field.
  [in] | gpsCovType | The register's GPSCovType field.
  [in] | velCount | The register's VelCount field.
  [in] | velInit | The register's VelInit field.
  [in] | moveOrigin | The register's MoveOrigin field.
  [in] | gpsTimeout | The register's GPSTimeout field.
  [in] | deltaLimitPos | The register's DeltaLimitPos field.
  [in] | deltaLimitVel | The register's DeltaLimitVel field.
  [in] | minPosUncertainty | The register's MinPosUncertainty field.
  [in] | minVelUncertainty | The register's MinVelUncertainty field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteInsBasicConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | scenario,
|  | uint8_t | ahrsAiding,
|  | uint8_t | estBaseline
| ) |  |

static

Generates a command to write to the INS Basic Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | scenario | The register's Scenario field.
  [in] | ahrsAiding | The register's AhrsAiding field.
  [in] | estBaseline | The register's EstBaseline field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteMagneticAndGravityReferenceVectors | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::vec3f | magRef,
|  | vn::math::vec3f | accRef
| ) |  |

static

Generates a command to write to the Magnetic and Gravity Reference Vectors register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | magRef | The register's MagRef field.
  [in] | accRef | The register's AccRef field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteMagnetometerCalibrationControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | hsiMode,
|  | uint8_t | hsiOutput,
|  | uint8_t | convergeRate
| ) |  |

static

Generates a command to write to the Magnetometer Calibration Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | hsiMode | The register's HSIMode field.
  [in] | hsiOutput | The register's HSIOutput field.
  [in] | convergeRate | The register's ConvergeRate field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteMagnetometerCompensation | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::mat3f | c,
|  | vn::math::vec3f | b
| ) |  |

static

Generates a command to write to the Magnetometer Compensation register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | c | The register's C field.
  [in] | b | The register's B field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteReferenceFrameRotation | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::mat3f | c
| ) |  |

static

Generates a command to write to the Reference Frame Rotation register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | c | The register's C field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteReferenceVectorConfiguration | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | useMagModel,
|  | uint8_t | useGravityModel,
|  | uint32_t | recalcThreshold,
|  | float | year,
|  | vn::math::vec3d | position
| ) |  |

static

Generates a command to write to the Reference Vector Configuration register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | useMagModel | The register's UseMagModel field.
  [in] | useGravityModel | The register's UseGravityModel field.
  [in] | recalcThreshold | The register's RecalcThreshold field.
  [in] | year | The register's Year field.
  [in] | position | The register's Position field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteSerialBaudRate | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint32_t | baudrate,
|  | uint8_t | port
| ) |  |

static

Generates a command to write to the Serial Baud Rate register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | baudrate | The register's Baud Rate field.
  [in] | port | The port to write to.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteSerialBaudRate | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint32_t | baudrate
| ) |  |

static

Generates a command to write to the Serial Baud Rate register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | baudrate | The register's Baud Rate field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteSettings | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size
| ) |  |

static

Generates a command to write sensor settings to non-volatile memory.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteStartupFilterBiasEstimate | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::vec3f | gyroBias,
|  | vn::math::vec3f | accelBias,
|  | float | pressureBias
| ) |  |

static

Generates a command to write to the Startup Filter Bias Estimate register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | gyroBias | The register's GyroBias field.
  [in] | accelBias | The register's AccelBias field.
  [in] | pressureBias | The register's PressureBias field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteSynchronizationControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | syncInMode,
|  | uint8_t | syncInEdge,
|  | uint16_t | syncInSkipFactor,
|  | uint8_t | syncOutMode,
|  | uint8_t | syncOutPolarity,
|  | uint16_t | syncOutSkipFactor,
|  | uint32_t | syncOutPulseWidth
| ) |  |

static

Generates a command to write to the Synchronization Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | syncInMode | The register's SyncInMode field.
  [in] | syncInEdge | The register's SyncInEdge field.
  [in] | syncInSkipFactor | The register's SyncInSkipFactor field.
  [in] | syncOutMode | The register's SyncOutMode field.
  [in] | syncOutPolarity | The register's SyncOutPolarity field.
  [in] | syncOutSkipFactor | The register's SyncOutSkipFactor field.
  [in] | syncOutPulseWidth | The register's SyncOutPulseWidth field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteSynchronizationStatus | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint32_t | syncInCount,
|  | uint32_t | syncInTime,
|  | uint32_t | syncOutCount
| ) |  |

static

Generates a command to write to the Synchronization Status register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | syncInCount | The register's SyncInCount field.
  [in] | syncInTime | The register's SyncInTime field.
  [in] | syncOutCount | The register's SyncOutCount field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteUserTag | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | std::string | tag
| ) |  |

static

Generates a command to write to the User Tag register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | tag | The register's Tag field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteVelocityCompensationControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | mode,
|  | float | velocityTuning,
|  | float | rateTuning
| ) |  |

static

Generates a command to write to the Velocity Compensation Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | mode | The register's Mode field.
  [in] | velocityTuning | The register's VelocityTuning field.
  [in] | rateTuning | The register's RateTuning field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteVelocityCompensationMeasurement | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::vec3f | velocity
| ) |  |

static

Generates a command to write to the Velocity Compensation Measurement register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | velocity | The register's Velocity field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteVpeAccelerometerAdvancedTuning | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::vec3f | minFiltering,
|  | vn::math::vec3f | maxFiltering,
|  | float | maxAdaptRate,
|  | float | disturbanceWindow,
|  | float | maxTuning
| ) |  |

static

Generates a command to write to the VPE Accelerometer Advanced Tuning register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | minFiltering | The register's MinFiltering field.
  [in] | maxFiltering | The register's MaxFiltering field.
  [in] | maxAdaptRate | The register's MaxAdaptRate field.
  [in] | disturbanceWindow | The register's DisturbanceWindow field.
  [in] | maxTuning | The register's MaxTuning field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteVpeAccelerometerBasicTuning | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::vec3f | baseTuning,
|  | vn::math::vec3f | adaptiveTuning,
|  | vn::math::vec3f | adaptiveFiltering
| ) |  |

static

Generates a command to write to the VPE Accelerometer Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | baseTuning | The register's BaseTuning field.
  [in] | adaptiveTuning | The register's AdaptiveTuning field.
  [in] | adaptiveFiltering | The register's AdaptiveFiltering field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteVpeBasicControl | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | uint8_t | enable,
|  | uint8_t | headingMode,
|  | uint8_t | filteringMode,
|  | uint8_t | tuningMode
| ) |  |

static

Generates a command to write to the VPE Basic Control register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | enable | The register's Enable field.
  [in] | headingMode | The register's HeadingMode field.
  [in] | filteringMode | The register's FilteringMode field.
  [in] | tuningMode | The register's TuningMode field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteVpeGyroBasicTuning | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::vec3f | angularWalkVariance,
|  | vn::math::vec3f | baseTuning,
|  | vn::math::vec3f | adaptiveTuning
| ) |  |

static

Generates a command to write to the VPE Gyro Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | angularWalkVariance | The register's AngularWalkVariance field.
  [in] | baseTuning | The register's BaseTuning field.
  [in] | adaptiveTuning | The register's AdaptiveTuning field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteVpeMagnetometerAdvancedTuning | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::vec3f | minFiltering,
|  | vn::math::vec3f | maxFiltering,
|  | float | maxAdaptRate,
|  | float | disturbanceWindow,
|  | float | maxTuning
| ) |  |

static

Generates a command to write to the VPE Magnetometer Advanced Tuning register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | minFiltering | The register's MinFiltering field.
  [in] | maxFiltering | The register's MaxFiltering field.
  [in] | maxAdaptRate | The register's MaxAdaptRate field.
  [in] | disturbanceWindow | The register's DisturbanceWindow field.
  [in] | maxTuning | The register's MaxTuning field.

Returns
  The total number bytes in the generated command.

static size_t vn::protocol::uart::Packet::genWriteVpeMagnetometerBasicTuning | ( | ErrorDetectionMode | errorDetectionMode,
|  | char * | buffer,
|  | size_t | size,
|  | vn::math::vec3f | baseTuning,
|  | vn::math::vec3f | adaptiveTuning,
|  | vn::math::vec3f | adaptiveFiltering
| ) |  |

static

Generates a command to write to the VPE Magnetometer Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | size | Number of bytes available in the provided buffer.
  [in] | baseTuning | The register's BaseTuning field.
  [in] | adaptiveTuning | The register's AdaptiveTuning field.
  [in] | adaptiveFiltering | The register's AdaptiveFiltering field.

Returns
  The total number bytes in the generated command.